public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2015-08-09 10:54 Agostino Sarubbo
  0 siblings, 0 replies; 31+ messages in thread
From: Agostino Sarubbo @ 2015-08-09 10:54 UTC (permalink / raw
  To: gentoo-commits

commit:     e3ad4112d22d6d736dd45d51de998c3a9012614b
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 10:54:01 2015 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 10:54:01 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3ad4112

Stable for amd64, wrt bug #557014

Package-Manager: portage-2.2.20

 x11-wm/spectrwm/spectrwm-2.7.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
index 2c3cdd3..818af14 100644
--- a/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
+++ b/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://opensource.conformal.com/snapshots/${PN}/${P}.tgz"
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 IUSE=""
 
 RDEPEND="x11-misc/dmenu"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2015-09-05 18:48 Mikle Kolyada
  0 siblings, 0 replies; 31+ messages in thread
From: Mikle Kolyada @ 2015-09-05 18:48 UTC (permalink / raw
  To: gentoo-commits

commit:     fe186987be06a67c7fc072fe1869ce770018a3e0
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  5 18:45:49 2015 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Sep  5 18:45:49 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe186987

x11-wm/spectrwm: x86 stable wrt bug #557014

Package-Manager: portage-2.2.20.1

 x11-wm/spectrwm/spectrwm-2.7.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
index 818af14..d487508 100644
--- a/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
+++ b/x11-wm/spectrwm/spectrwm-2.7.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://opensource.conformal.com/snapshots/${PN}/${P}.tgz"
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE=""
 
 RDEPEND="x11-misc/dmenu"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2016-05-05 13:14 Michael Weber
  0 siblings, 0 replies; 31+ messages in thread
From: Michael Weber @ 2016-05-05 13:14 UTC (permalink / raw
  To: gentoo-commits

commit:     33e3b1279edee0329f02c129165b278c22918433
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 13:11:29 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu May  5 13:13:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33e3b127

x11-wm/spectrwm: Fix library path (bug 580452, thanks sdoubleyou).

Package-Manager: portage-2.2.28

 x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild | 51 ++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
new file mode 100644
index 0000000..f07f74f
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
+SRC_URI="http://opensource.conformal.com/snapshots/${PN}/${P}.tgz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-misc/dmenu"
+DEPEND="${DEPEND}
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXrandr
+	x11-libs/libXtst
+	x11-libs/xcb-util
+	!x11-wm/scrotwm"
+
+S=${WORKDIR}/${P}/linux
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.6.2-Makefile.patch
+	tc-export CC
+}
+
+src_compile() {
+	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)"
+}
+
+src_install() {
+	emake PREFIX="${EROOT}usr" DESTDIR="${D}" install
+
+	cd "${WORKDIR}"/${P} || die
+
+	insinto /etc
+	doins ${PN}.conf
+	dodoc ${PN}_*.conf {initscreen,screenshot}.sh
+
+	make_session_desktop ${PN} ${PN}
+
+	elog "Example keyboard config and helpful scripts can be found"
+	elog "in ${ROOT}usr/share/doc/${PF}"
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2016-05-05 13:14 Michael Weber
  0 siblings, 0 replies; 31+ messages in thread
From: Michael Weber @ 2016-05-05 13:14 UTC (permalink / raw
  To: gentoo-commits

commit:     a38c8a52294a942e730b9d99a8cd3fba638e9027
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 13:12:31 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu May  5 13:13:46 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a38c8a52

x11-wm/spectrwm: amd6 and x86 stable, current stable was broken.

Package-Manager: portage-2.2.28

 x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
index f07f74f..160fa68 100644
--- a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="http://opensource.conformal.com/snapshots/${PN}/${P}.tgz"
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE=""
 
 RDEPEND="x11-misc/dmenu"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2016-05-05 13:40 Michael Weber
  0 siblings, 0 replies; 31+ messages in thread
From: Michael Weber @ 2016-05-05 13:40 UTC (permalink / raw
  To: gentoo-commits

commit:     9b5d53ca1810e4bbad3e01564117c2b15345681a
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 13:39:46 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu May  5 13:40:06 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b5d53ca

x11-wm/spectrwm: fix formal install location

Package-Manager: portage-2.2.28

 x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
index 160fa68..9753dd1 100644
--- a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
@@ -36,7 +36,7 @@ src_compile() {
 }
 
 src_install() {
-	emake PREFIX="${EROOT}usr" DESTDIR="${D}" install
+	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)" DESTDIR="${D}" install
 
 	cd "${WORKDIR}"/${P} || die
 


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2016-05-25 10:11 Michael Weber
  0 siblings, 0 replies; 31+ messages in thread
From: Michael Weber @ 2016-05-25 10:11 UTC (permalink / raw
  To: gentoo-commits

commit:     41668b3d73a399a5c5cd795704edd4cb40fac115
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Wed May 25 10:10:44 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Wed May 25 10:11:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41668b3d

x11-wm/spectrwm: Version bump (thanks noptrix).

Package-Manager: portage-2.3.0_rc1

 x11-wm/spectrwm/Manifest              |  1 +
 x11-wm/spectrwm/spectrwm-3.0.2.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index 64c6fb7..777681e 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1,2 +1,3 @@
 DIST spectrwm-2.7.2.tgz 132554 SHA256 b56cffa01ee2c58515350c1be1940140286fd18778659c6f5ada4595319f97cb SHA512 cebb0e42566125933bf2c4c9200765d360bb572fd953c510ad39e7abcf9cc507e61420441234fb1bb44d06d28526ba6c594272c173a04181d2c6798e404b7421 WHIRLPOOL 5ab24d2866d6a252c03a72fae3e0dd914f6c2041185088da5beb4c7a4a0ee5ec0c3b55cff32bef5f10f159ae1a5e66a6a217a3d67cba2d17ed324145a05391c7
 DIST spectrwm-3.0.1.tar.gz 147331 SHA256 315fe232e8ac727c289fde8c9b3a3eba19b98739ccb98015c29ce06eacee1853 SHA512 34e5673940217916c4725e036c28bff440085b1f3a7015a334ec9fcd08a2ef97f8c060dba6a508d7c2b9c8415e4e20a2587dea099def2493803472b1b2df7ced WHIRLPOOL bf2af477df6d503d0b6bc838b635b61a14c4b6c977f9528b1b2497e17cdfeee06e93daf1f426b7e598bfd7f3f27fa7194cf2f500c09373fc09e42e0e3278334d
+DIST spectrwm-3.0.2.tar.gz 147355 SHA256 82ce0280039de642c41684f3096abb0388926b60c37987ca1dbc53a0913cab18 SHA512 bbc5620078bd90ad6bf48b3e0218cf5398b819282322ee6d23b5b3aa2334b35f4981736157d0c442f1dde268503ec15e321cdbe08d842abc6c0a0239ac6d99c2 WHIRLPOOL 7091cace363a4ba365ea691903823523e3ac55411e3d108f969f4f51080528c345a070897c2ebc68b25f93bc3c20ee8ed234fc13a69941843b48acdd0985b183

diff --git a/x11-wm/spectrwm/spectrwm-3.0.2.ebuild b/x11-wm/spectrwm/spectrwm-3.0.2.ebuild
new file mode 100644
index 0000000..6efc2fa
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-3.0.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs vcs-snapshot
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
+SRC_URI="https://codeload.github.com/conformal/${PN}/tar.gz/SPECTRWM_${PV//./_} -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-misc/dmenu"
+DEPEND="${DEPEND}
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXrandr
+	x11-libs/libXtst
+	x11-libs/xcb-util
+	!x11-wm/scrotwm"
+
+S=${WORKDIR}/${P}/linux
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.6.2-Makefile.patch
+	tc-export CC
+}
+
+src_compile() {
+	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)"
+}
+
+src_install() {
+	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)" DESTDIR="${D}" install
+
+	cd "${WORKDIR}"/${P} || die
+
+	insinto /etc
+	doins ${PN}.conf
+	dodoc ${PN}_*.conf {initscreen,screenshot}.sh
+
+	make_session_desktop ${PN} ${PN}
+
+	elog "Example keyboard config and helpful scripts can be found"
+	elog "in ${ROOT}usr/share/doc/${PF}"
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2018-02-06 18:36 Thomas Deutschmann
  0 siblings, 0 replies; 31+ messages in thread
From: Thomas Deutschmann @ 2018-02-06 18:36 UTC (permalink / raw
  To: gentoo-commits

commit:     1fcc4176f4ae6f153f07a94851d9d517f5f12540
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  6 18:30:46 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Feb  6 18:35:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fcc4176

x11-wm/spectrwm: x86 stable (bug #646000)

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 x11-wm/spectrwm/spectrwm-3.1.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.1.0.ebuild b/x11-wm/spectrwm/spectrwm-3.1.0.ebuild
index 01858fda384..43e9fa933ae 100644
--- a/x11-wm/spectrwm/spectrwm-3.1.0.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/conformal/${PN}/archive/SPECTRWM_${PV//./_}.tar.gz -
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
 IUSE=""
 
 RDEPEND="x11-misc/dmenu"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2018-02-16 21:44 Michael Weber
  0 siblings, 0 replies; 31+ messages in thread
From: Michael Weber @ 2018-02-16 21:44 UTC (permalink / raw
  To: gentoo-commits

commit:     beb5c855bc4084f24d616d5182f58deb6cf7401b
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 28 21:42:22 2018 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Fri Feb 16 21:44:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=beb5c855

x11-wm/spectrwm: Remove old.

Package-Manager: Portage-2.3.20, Repoman-2.3.6

 x11-wm/spectrwm/Manifest              |  2 --
 x11-wm/spectrwm/spectrwm-3.0.1.ebuild | 50 -----------------------------------
 x11-wm/spectrwm/spectrwm-3.0.2.ebuild | 50 -----------------------------------
 3 files changed, 102 deletions(-)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index ba77bc63403..06b98eb5c16 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1,4 +1,2 @@
 DIST spectrwm-2.7.2.tgz 132554 BLAKE2B 78d1956be33a192f63a46bdef250427d14f415261b734355266cec236fcec1ab66fc08ab2e0aa1981a92849ca23f53441494c6990c3ef72fe4c7956e22c7aff9 SHA512 cebb0e42566125933bf2c4c9200765d360bb572fd953c510ad39e7abcf9cc507e61420441234fb1bb44d06d28526ba6c594272c173a04181d2c6798e404b7421
-DIST spectrwm-3.0.1.tar.gz 147331 BLAKE2B ac68fc2800d85c9731820ba882dece03d83f110d32e240c4f130c4ba2a18e2b5dcceadb644a22a87bc3f8946f1aa56345e497b5e4433302d886a3d7182d37e42 SHA512 34e5673940217916c4725e036c28bff440085b1f3a7015a334ec9fcd08a2ef97f8c060dba6a508d7c2b9c8415e4e20a2587dea099def2493803472b1b2df7ced
-DIST spectrwm-3.0.2.tar.gz 147355 BLAKE2B ad355cc66700e7b39310b14ff76a76ed50c133597bc4c28af89266595aa0c2a359d6cb59799b47c48a153119bb2401854801a92ecd2114b41cfa7bbe51b20956 SHA512 bbc5620078bd90ad6bf48b3e0218cf5398b819282322ee6d23b5b3aa2334b35f4981736157d0c442f1dde268503ec15e321cdbe08d842abc6c0a0239ac6d99c2
 DIST spectrwm-3.1.0.tar.gz 147206 BLAKE2B abcce22bc7859dbcc109f02ea832d65091c842562579d47cd1dd83c5de82a015b02343972d4d85cf291b63bfbaf0e901616cca94d911014672ffc35436bdd3c1 SHA512 dd8e16361b979a55b210a88a1ae5d53e7086fd854e92320e09b6407d374580cc271c0e974e38606481ab57a504a86e16293edee967d251b043a1eb65e8c77687

diff --git a/x11-wm/spectrwm/spectrwm-3.0.1.ebuild b/x11-wm/spectrwm/spectrwm-3.0.1.ebuild
deleted file mode 100644
index 49bfbf2e655..00000000000
--- a/x11-wm/spectrwm/spectrwm-3.0.1.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils multilib toolchain-funcs vcs-snapshot
-
-DESCRIPTION="Small dynamic tiling window manager for X11"
-HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
-SRC_URI="https://codeload.github.com/conformal/${PN}/tar.gz/SPECTRWM_${PV//./_} -> ${P}.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="x11-misc/dmenu"
-DEPEND="${DEPEND}
-	x11-libs/libX11
-	x11-libs/libXcursor
-	x11-libs/libXrandr
-	x11-libs/libXtst
-	x11-libs/xcb-util
-	!x11-wm/scrotwm"
-
-S=${WORKDIR}/${P}/linux
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.6.2-Makefile.patch
-	tc-export CC
-}
-
-src_compile() {
-	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)"
-}
-
-src_install() {
-	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)" DESTDIR="${D}" install
-
-	cd "${WORKDIR}"/${P} || die
-
-	insinto /etc
-	doins ${PN}.conf
-	dodoc ${PN}_*.conf {initscreen,screenshot}.sh
-
-	make_session_desktop ${PN} ${PN}
-
-	elog "Example keyboard config and helpful scripts can be found"
-	elog "in ${ROOT}usr/share/doc/${PF}"
-}

diff --git a/x11-wm/spectrwm/spectrwm-3.0.2.ebuild b/x11-wm/spectrwm/spectrwm-3.0.2.ebuild
deleted file mode 100644
index 49bfbf2e655..00000000000
--- a/x11-wm/spectrwm/spectrwm-3.0.2.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils multilib toolchain-funcs vcs-snapshot
-
-DESCRIPTION="Small dynamic tiling window manager for X11"
-HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
-SRC_URI="https://codeload.github.com/conformal/${PN}/tar.gz/SPECTRWM_${PV//./_} -> ${P}.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND="x11-misc/dmenu"
-DEPEND="${DEPEND}
-	x11-libs/libX11
-	x11-libs/libXcursor
-	x11-libs/libXrandr
-	x11-libs/libXtst
-	x11-libs/xcb-util
-	!x11-wm/scrotwm"
-
-S=${WORKDIR}/${P}/linux
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-2.6.2-Makefile.patch
-	tc-export CC
-}
-
-src_compile() {
-	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)"
-}
-
-src_install() {
-	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)" DESTDIR="${D}" install
-
-	cd "${WORKDIR}"/${P} || die
-
-	insinto /etc
-	doins ${PN}.conf
-	dodoc ${PN}_*.conf {initscreen,screenshot}.sh
-
-	make_session_desktop ${PN} ${PN}
-
-	elog "Example keyboard config and helpful scripts can be found"
-	elog "in ${ROOT}usr/share/doc/${PF}"
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2019-10-22 11:33 Jeroen Roovers
  0 siblings, 0 replies; 31+ messages in thread
From: Jeroen Roovers @ 2019-10-22 11:33 UTC (permalink / raw
  To: gentoo-commits

commit:     97187c2baf10cdc9442bbd7825157defe33866bb
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 22 11:33:13 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Oct 22 11:33:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97187c2b

x11-wm/spectrwm: Block x11-wm/scrotwm

Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.2.0.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.2.0.ebuild b/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
index e2e7e564aa9..6607081b734 100644
--- a/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
@@ -11,9 +11,11 @@ SRC_URI="${HOMEPAGE}/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
 LICENSE="ISC"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
 
-RDEPEND="x11-misc/dmenu"
+RDEPEND="
+	!x11-wm/scrotwm
+	x11-misc/dmenu
+"
 DEPEND="
 	x11-libs/libX11
 	x11-libs/libXcursor


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2020-01-13 10:07 David Seifert
  0 siblings, 0 replies; 31+ messages in thread
From: David Seifert @ 2020-01-13 10:07 UTC (permalink / raw
  To: gentoo-commits

commit:     47d0c00a110c9df6c12647d872dab7fb29036272
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 13 10:07:24 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jan 13 10:07:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47d0c00a

x11-wm/spectrwm: [QA] Fix HomepageInSrcUri

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.2.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.2.0.ebuild b/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
index 6607081b734..793c2c08155 100644
--- a/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.2.0.ebuild
@@ -6,7 +6,7 @@ inherit desktop multilib toolchain-funcs
 
 DESCRIPTION="Small dynamic tiling window manager for X11"
 HOMEPAGE="https://github.com/conformal/spectrwm"
-SRC_URI="${HOMEPAGE}/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/conformal/spectrwm/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="ISC"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2020-01-22 21:09 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2020-01-22 21:09 UTC (permalink / raw
  To: gentoo-commits

commit:     99e47dd88df2bd5824faf3bc39a95a6f1d65c7f1
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 22 21:09:00 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 21:09:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99e47dd8

x11-wm/spectrwm: take pkg & bump to 3.3.0

Closes: https://bugs.gentoo.org/645940
Closes: https://bugs.gentoo.org/703514
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/Manifest              |  1 +
 x11-wm/spectrwm/metadata.xml          |  5 +++-
 x11-wm/spectrwm/spectrwm-3.3.0.ebuild | 47 +++++++++++++++++++++++++++++++++++
 3 files changed, 52 insertions(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index 7f38ff33381..a9aec43846e 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1,2 +1,3 @@
 DIST spectrwm-3.1.0.tar.gz 147206 BLAKE2B abcce22bc7859dbcc109f02ea832d65091c842562579d47cd1dd83c5de82a015b02343972d4d85cf291b63bfbaf0e901616cca94d911014672ffc35436bdd3c1 SHA512 dd8e16361b979a55b210a88a1ae5d53e7086fd854e92320e09b6407d374580cc271c0e974e38606481ab57a504a86e16293edee967d251b043a1eb65e8c77687
 DIST spectrwm-3.2.0.tar.gz 150691 BLAKE2B a90fb556f0572709df51272a259724c3a497ac3b9852722646058ffb92914ca49581f3f95884c8a6bab2cb6475c4c3b475ff7ed3ea0ff125e76f202696dfd2bd SHA512 038d7fc5716fbca324a078a311939ec23db6ff53e9ef33b2804c687838e729f0e7bb7f724c539e8ac8efed9607358962d4dd742db7f1a30bf3c6ab72eade1039
+DIST spectrwm-3.3.0.tar.gz 161806 BLAKE2B 07470511486c7b5c61e65eb33e5a9ec7fbfec97390057311fab27bd5608d428b3a53c379fe6c5436000b4847769db9d175154e696b39d3175175bae173e8e68e SHA512 743affffd0437641a760ae29ccbd0084baee3354dadc48f3fc9ab70bffa2413ffe3af67f1223413aa1bbf8c679fbae1fbbdd71a840b3e44f5df83b527f63c1cc

diff --git a/x11-wm/spectrwm/metadata.xml b/x11-wm/spectrwm/metadata.xml
index 6f49eba8f49..c67d4dcaca5 100644
--- a/x11-wm/spectrwm/metadata.xml
+++ b/x11-wm/spectrwm/metadata.xml
@@ -1,5 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>bkohler@gentoo.org</email>
+		<name>Ben Kohler</name>
+	</maintainer>
 </pkgmetadata>

diff --git a/x11-wm/spectrwm/spectrwm-3.3.0.ebuild b/x11-wm/spectrwm/spectrwm-3.3.0.ebuild
new file mode 100644
index 00000000000..6d515135678
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-3.3.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop multilib toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://github.com/conformal/spectrwm"
+SRC_URI="https://github.com/conformal/spectrwm/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	!x11-wm/scrotwm
+	x11-misc/dmenu
+"
+DEPEND="
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXrandr
+	x11-libs/libXt
+	x11-libs/xcb-util
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.2.0-gentoo.patch
+)
+S=${WORKDIR}/${PN}-${PN^^}_${PV//./_}
+
+src_prepare() {
+	sed -i -e '/LICENSE.md/d' linux/Makefile || die
+	default
+}
+
+src_compile() {
+	tc-export CC PKG_CONFIG
+	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)"
+}
+
+src_install() {
+	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)" \
+		SYSCONFDIR="${EROOT}/etc" DOCDIR="${EROOT}/usr/share/doc/${P}" \
+		DESTDIR="${D}" install
+
+	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2020-03-16 13:41 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2020-03-16 13:41 UTC (permalink / raw
  To: gentoo-commits

commit:     a9168d9b0a3d45a6de3ca13a8a9a6b61fec7a730
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 16 13:40:18 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 13:40:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9168d9b

x11-wm/spectrwm: add missing queue-standalone dep for musl

Closes: https://bugs.gentoo.org/712708
Package-Manager: Portage-2.3.94, Repoman-2.3.21
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.3.0.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/x11-wm/spectrwm/spectrwm-3.3.0.ebuild b/x11-wm/spectrwm/spectrwm-3.3.0.ebuild
index 6d515135678..0f5d4b2224b 100644
--- a/x11-wm/spectrwm/spectrwm-3.3.0.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.3.0.ebuild
@@ -17,6 +17,7 @@ RDEPEND="
 	x11-misc/dmenu
 "
 DEPEND="
+	elibc_musl? ( sys-libs/queue-standalone )
 	x11-libs/libX11
 	x11-libs/libXcursor
 	x11-libs/libXrandr


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2020-06-25 18:13 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2020-06-25 18:13 UTC (permalink / raw
  To: gentoo-commits

commit:     e9435892c182de3e4515df6130e68ce5e53a6ca6
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 25 18:13:23 2020 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu Jun 25 18:13:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9435892

x11-wm/spectrwm: bump to 3.4.1

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/Manifest              |  1 +
 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index c8beb99909a..7b9c0b676d2 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -2,3 +2,4 @@ DIST spectrwm-3.1.0.tar.gz 147206 BLAKE2B abcce22bc7859dbcc109f02ea832d65091c842
 DIST spectrwm-3.2.0.tar.gz 150691 BLAKE2B a90fb556f0572709df51272a259724c3a497ac3b9852722646058ffb92914ca49581f3f95884c8a6bab2cb6475c4c3b475ff7ed3ea0ff125e76f202696dfd2bd SHA512 038d7fc5716fbca324a078a311939ec23db6ff53e9ef33b2804c687838e729f0e7bb7f724c539e8ac8efed9607358962d4dd742db7f1a30bf3c6ab72eade1039
 DIST spectrwm-3.3.0.tar.gz 161806 BLAKE2B 07470511486c7b5c61e65eb33e5a9ec7fbfec97390057311fab27bd5608d428b3a53c379fe6c5436000b4847769db9d175154e696b39d3175175bae173e8e68e SHA512 743affffd0437641a760ae29ccbd0084baee3354dadc48f3fc9ab70bffa2413ffe3af67f1223413aa1bbf8c679fbae1fbbdd71a840b3e44f5df83b527f63c1cc
 DIST spectrwm-3.4.0.tar.gz 164188 BLAKE2B a79feb7f1e667728d237ec97aa5753eb5d0a1ae96ea63a5f14348cbc63ddde7a49639664fa19bffb564d0342727e558498a7a72ec3442899462ad8800075e32e SHA512 f55785976ffefaa93601cdc509880cc7e1c13df6f676d3dc0ee8121240b221b0d3db5968d32486673e2ab172165dd55da3d28b1e088fbf4f77ccecb8c6e57519
+DIST spectrwm-3.4.1.tar.gz 164507 BLAKE2B 8047e639be3d4a07616f7ef3911765c5d6dd7dbd56c684453db90283faee08aac2cb9e3e20ae42f839582b67b778a4490a04fa21fc90fe489f798c40c517351e SHA512 94d468833124b51fa12b29b173126f10f27dd551d599459e4bea589721b3df6f1f0af0ea67326ed3ad462e1203d3bbcb82032ff83abfa0943ec45afd29dedaa6

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
new file mode 100644
index 00000000000..67195eaf70b
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit desktop multilib toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://github.com/conformal/spectrwm"
+SRC_URI="https://github.com/conformal/spectrwm/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	!x11-wm/scrotwm
+	x11-misc/dmenu
+"
+DEPEND="
+	elibc_musl? ( sys-libs/queue-standalone )
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXrandr
+	x11-libs/libXt
+	x11-libs/xcb-util
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-3.4.0-gentoo.patch
+)
+S=${WORKDIR}/${PN}-${PN^^}_${PV//./_}
+
+src_prepare() {
+	sed -i -e '/LICENSE.md/d' linux/Makefile || die
+	default
+}
+
+src_compile() {
+	tc-export CC PKG_CONFIG
+	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)"
+}
+
+src_install() {
+	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)" \
+		SYSCONFDIR="${EROOT}/etc" DOCDIR="${EROOT}/usr/share/doc/${P}" \
+		DESTDIR="${D}" install
+
+	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2020-10-07  6:42 Agostino Sarubbo
  0 siblings, 0 replies; 31+ messages in thread
From: Agostino Sarubbo @ 2020-10-07  6:42 UTC (permalink / raw
  To: gentoo-commits

commit:     fd6620ae04416e6ce035fc9e8a4eeeaf07329308
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  7 06:41:36 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Wed Oct  7 06:41:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fd6620ae

x11-wm/spectrwm: amd64 stable wrt bug #745648

Package-Manager: Portage-2.3.103, Repoman-2.3.23
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index d70a5915120..86844bc954e 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -10,7 +10,7 @@ SRC_URI="https://github.com/conformal/spectrwm/archive/${PN^^}_${PV//./_}.tar.gz
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 
 RDEPEND="
 	!x11-wm/scrotwm


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2021-03-29 13:49 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2021-03-29 13:49 UTC (permalink / raw
  To: gentoo-commits

commit:     b9b68e7825558c54b1c456ebcb41c7c0f401a77d
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 29 13:22:49 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Mar 29 13:49:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9b68e78

x11-wm/spectrwm: drop obsolete blocker

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index 9f77e6443e3..3b826527316 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -13,7 +13,6 @@ SLOT="0"
 KEYWORDS="amd64 x86"
 
 RDEPEND="
-	!x11-wm/scrotwm
 	x11-misc/dmenu
 "
 DEPEND="


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2021-03-29 14:39 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2021-03-29 14:39 UTC (permalink / raw
  To: gentoo-commits

commit:     00522598eab59b612c7ba31b77deb4258c8af009
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 29 14:06:33 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Mar 29 14:39:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00522598

x11-wm/spectrwm: remove incorrect EROOT usage

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index 3b826527316..3b297f77149 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -36,12 +36,12 @@ src_prepare() {
 
 src_compile() {
 	tc-export CC PKG_CONFIG
-	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)"
+	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
 }
 
 src_install() {
-	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)" \
-		SYSCONFDIR="${EROOT}/etc" DOCDIR="${EROOT}/usr/share/doc/${P}" \
+	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)" \
+		SYSCONFDIR="/etc" DOCDIR="/usr/share/doc/${P}" \
 		DESTDIR="${D}" install
 
 	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2021-03-29 15:44 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2021-03-29 15:44 UTC (permalink / raw
  To: gentoo-commits

commit:     0aec0bf3d6a07816e9d909442aee77f73da835a7
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 29 15:44:26 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Mar 29 15:44:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0aec0bf3

x11-wm/spectrwm: restore prefix support (better than before)

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 ...less-iwd-fix-one-last-COMMON_DEPEND-usage.patch | 28 +++++++++++++++++++++
 x11-wm/spectrwm/foo.patch                          | 29 ++++++++++++++++++++++
 x11-wm/spectrwm/spectrwm-3.4.1.ebuild              |  6 ++---
 3 files changed, 60 insertions(+), 3 deletions(-)

diff --git a/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch b/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch
new file mode 100644
index 00000000000..2766a34a6ba
--- /dev/null
+++ b/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch
@@ -0,0 +1,28 @@
+From e98e032462cb92d9871ec2fc3ac417cec5cc7f97 Mon Sep 17 00:00:00 2001
+From: Ben Kohler <bkohler@gentoo.org>
+Date: Mon, 29 Mar 2021 09:38:24 -0500
+Subject: [PATCH] net-wireless/iwd: fix one last COMMON_DEPEND usage
+
+Closes: https://bugs.gentoo.org/779091
+Package-Manager: Portage-3.0.18, Repoman-3.0.3
+Signed-off-by: Ben Kohler <bkohler@gentoo.org>
+---
+ net-wireless/iwd/iwd-1.13.ebuild | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/net-wireless/iwd/iwd-1.13.ebuild b/net-wireless/iwd/iwd-1.13.ebuild
+index 438b2aa425c..709afebddeb 100644
+--- a/net-wireless/iwd/iwd-1.13.ebuild
++++ b/net-wireless/iwd/iwd-1.13.ebuild
+@@ -29,7 +29,7 @@ DEPEND="
+ 	client? ( sys-libs/readline:0= )
+ "
+ 
+-[[ -z "${ELL_REQ}" ]] || COMMON_DEPEND+=" ~dev-libs/ell-${ELL_REQ}"
++[[ -z "${ELL_REQ}" ]] || DEPEND+=" ~dev-libs/ell-${ELL_REQ}"
+ 
+ RDEPEND="
+ 	${DEPEND}
+-- 
+2.31.1
+

diff --git a/x11-wm/spectrwm/foo.patch b/x11-wm/spectrwm/foo.patch
new file mode 100644
index 00000000000..33bf233d1a9
--- /dev/null
+++ b/x11-wm/spectrwm/foo.patch
@@ -0,0 +1,29 @@
+commit 00522598eab59b612c7ba31b77deb4258c8af009
+Author: Ben Kohler <bkohler@gentoo.org>
+Date:   Mon Mar 29 09:06:33 2021 -0500
+
+    x11-wm/spectrwm: remove incorrect EROOT usage
+    
+    Package-Manager: Portage-3.0.18, Repoman-3.0.3
+    Signed-off-by: Ben Kohler <bkohler@gentoo.org>
+
+diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+index 3b826527316..3b297f77149 100644
+--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
++++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+@@ -36,12 +36,12 @@ src_prepare() {
+ 
+ src_compile() {
+ 	tc-export CC PKG_CONFIG
+-	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)"
++	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
+ }
+ 
+ src_install() {
+-	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)" \
+-		SYSCONFDIR="${EROOT}/etc" DOCDIR="${EROOT}/usr/share/doc/${P}" \
++	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)" \
++		SYSCONFDIR="/etc" DOCDIR="/usr/share/doc/${P}" \
+ 		DESTDIR="${D}" install
+ 
+ 	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index 3b297f77149..cbe7e0eeebd 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -36,12 +36,12 @@ src_prepare() {
 
 src_compile() {
 	tc-export CC PKG_CONFIG
-	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)"
 }
 
 src_install() {
-	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)" \
-		SYSCONFDIR="/etc" DOCDIR="/usr/share/doc/${P}" \
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		SYSCONFDIR="${EPREFIX}/etc" DOCDIR="${EPREFIX}/usr/share/doc/${P}" \
 		DESTDIR="${D}" install
 
 	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2021-03-29 15:58 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2021-03-29 15:58 UTC (permalink / raw
  To: gentoo-commits

commit:     7a46d24421c689e39582e0dda4bc7648e7719e6c
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 29 15:57:35 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Mar 29 15:57:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a46d244

x11-wm/spectrwm: drop accidental adds

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 ...less-iwd-fix-one-last-COMMON_DEPEND-usage.patch | 28 ---------------------
 x11-wm/spectrwm/foo.patch                          | 29 ----------------------
 2 files changed, 57 deletions(-)

diff --git a/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch b/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch
deleted file mode 100644
index 2766a34a6ba..00000000000
--- a/x11-wm/spectrwm/0001-net-wireless-iwd-fix-one-last-COMMON_DEPEND-usage.patch
+++ /dev/null
@@ -1,28 +0,0 @@
-From e98e032462cb92d9871ec2fc3ac417cec5cc7f97 Mon Sep 17 00:00:00 2001
-From: Ben Kohler <bkohler@gentoo.org>
-Date: Mon, 29 Mar 2021 09:38:24 -0500
-Subject: [PATCH] net-wireless/iwd: fix one last COMMON_DEPEND usage
-
-Closes: https://bugs.gentoo.org/779091
-Package-Manager: Portage-3.0.18, Repoman-3.0.3
-Signed-off-by: Ben Kohler <bkohler@gentoo.org>
----
- net-wireless/iwd/iwd-1.13.ebuild | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/net-wireless/iwd/iwd-1.13.ebuild b/net-wireless/iwd/iwd-1.13.ebuild
-index 438b2aa425c..709afebddeb 100644
---- a/net-wireless/iwd/iwd-1.13.ebuild
-+++ b/net-wireless/iwd/iwd-1.13.ebuild
-@@ -29,7 +29,7 @@ DEPEND="
- 	client? ( sys-libs/readline:0= )
- "
- 
--[[ -z "${ELL_REQ}" ]] || COMMON_DEPEND+=" ~dev-libs/ell-${ELL_REQ}"
-+[[ -z "${ELL_REQ}" ]] || DEPEND+=" ~dev-libs/ell-${ELL_REQ}"
- 
- RDEPEND="
- 	${DEPEND}
--- 
-2.31.1
-

diff --git a/x11-wm/spectrwm/foo.patch b/x11-wm/spectrwm/foo.patch
deleted file mode 100644
index 33bf233d1a9..00000000000
--- a/x11-wm/spectrwm/foo.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-commit 00522598eab59b612c7ba31b77deb4258c8af009
-Author: Ben Kohler <bkohler@gentoo.org>
-Date:   Mon Mar 29 09:06:33 2021 -0500
-
-    x11-wm/spectrwm: remove incorrect EROOT usage
-    
-    Package-Manager: Portage-3.0.18, Repoman-3.0.3
-    Signed-off-by: Ben Kohler <bkohler@gentoo.org>
-
-diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
-index 3b826527316..3b297f77149 100644
---- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
-+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
-@@ -36,12 +36,12 @@ src_prepare() {
- 
- src_compile() {
- 	tc-export CC PKG_CONFIG
--	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)"
-+	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)"
- }
- 
- src_install() {
--	emake -C linux PREFIX="${EROOT}/usr" LIBDIR="${EROOT}/usr/$(get_libdir)" \
--		SYSCONFDIR="${EROOT}/etc" DOCDIR="${EROOT}/usr/share/doc/${P}" \
-+	emake -C linux PREFIX="/usr" LIBDIR="/usr/$(get_libdir)" \
-+		SYSCONFDIR="/etc" DOCDIR="/usr/share/doc/${P}" \
- 		DESTDIR="${D}" install
- 
- 	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2021-09-23 18:31 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2021-09-23 18:31 UTC (permalink / raw
  To: gentoo-commits

commit:     238c47d01b41ac09ae0e85f04bb1d2d7badc305a
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 23 18:31:04 2021 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu Sep 23 18:31:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=238c47d0

x11-wm/spectrwm: drop unused inherits

Package-Manager: Portage-3.0.23, Repoman-3.0.3
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index 3836663ba0b..a0949ab3073 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-inherit desktop multilib toolchain-funcs
+inherit toolchain-funcs
 
 DESCRIPTION="Small dynamic tiling window manager for X11"
 HOMEPAGE="https://github.com/conformal/spectrwm"


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-01-05 16:35 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-01-05 16:35 UTC (permalink / raw
  To: gentoo-commits

commit:     35af6e5ea98747f7c435eb80ac17f9767a454664
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  5 16:28:22 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu Jan  5 16:34:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35af6e5e

x11-wm/spectrwm: add missing deps

Closes: https://bugs.gentoo.org/887839

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1.ebuild | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
index a0949ab30736..8628a4ce4ffe 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -23,6 +23,8 @@ DEPEND="
 	x11-libs/libXrandr
 	x11-libs/libXt
 	x11-libs/xcb-util
+	x11-libs/xcb-util-keysyms
+	x11-libs/xcb-util-wm
 "
 PATCHES=(
 	"${FILESDIR}"/${PN}-3.4.0-gentoo.patch


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-01-10 16:11 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-01-10 16:11 UTC (permalink / raw
  To: gentoo-commits

commit:     53a6ac3c5aefc81a80dd2a8ac0feff280763c89b
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 16:11:05 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 16:11:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53a6ac3c

x11-wm/spectrwm: add github upstream metadata

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/metadata.xml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/x11-wm/spectrwm/metadata.xml b/x11-wm/spectrwm/metadata.xml
index aa20bff17b1d..6cdfb9c8435b 100644
--- a/x11-wm/spectrwm/metadata.xml
+++ b/x11-wm/spectrwm/metadata.xml
@@ -5,4 +5,7 @@
 		<email>bkohler@gentoo.org</email>
 		<name>Ben Kohler</name>
 	</maintainer>
+	<upstream>
+		<remote-id type="github">conformal/spectrwm</remote-id>
+	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-03-30 15:58 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2023-03-30 15:58 UTC (permalink / raw
  To: gentoo-commits

commit:     5b498cc18f612d6b98860fe6071d500192e43a25
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 15:58:17 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 15:58:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b498cc1

x11-wm/spectrwm: Stabilize 3.4.1_p20221224 x86, #903584

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
index 6e95a33426af..442e82c3dc20 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${P}.
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
 
 RDEPEND="
 	x11-misc/dmenu


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-03-30 16:10 Arthur Zamarin
  0 siblings, 0 replies; 31+ messages in thread
From: Arthur Zamarin @ 2023-03-30 16:10 UTC (permalink / raw
  To: gentoo-commits

commit:     fcdd439fe857c0ab92cdba6443d622dba63dcea6
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 30 16:10:50 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 30 16:10:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcdd439f

x11-wm/spectrwm: Stabilize 3.4.1_p20221224 amd64, #903584

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
index 442e82c3dc20..65b77c4db159 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${P}.
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
 
 RDEPEND="
 	x11-misc/dmenu


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-04-24 15:32 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-04-24 15:32 UTC (permalink / raw
  To: gentoo-commits

commit:     62133f931daed81faa5f7244795811b77b9ad12f
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 24 14:10:54 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Apr 24 15:32:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62133f93

x11-wm/spectrwm: add 3.4.1_p20230310

Clean up deps as well.

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/Manifest                        |  1 +
 x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild | 53 +++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index ae664f58c849..8e034ff088f0 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1 +1,2 @@
 DIST spectrwm-3.4.1_p20221224.tar.gz 166161 BLAKE2B 62dddfea9b80727d47bdfe61e4bf5ae5996e7bcdcaf76a37c29a3a448fcf4d19f6eeed75d7c13ca2c1e5c093c79503f00dfdde239d5022e700e27f75b7157e39 SHA512 424acf589ab137bdb8b7c010c757fde40a53b7bf70dc1c0ccf0df7e4a5ffce360cab02933f6eb7191e57ba594f4c8a6e732ac4bb8da0684d3889e9448e704edb
+DIST spectrwm-efc458efa5730680a5ff3805f6cf9d88dc88748b.tar.gz 172141 BLAKE2B 0ae0f85dd40d170d3f68c8ab6763f251f3a901172a1bb39b0dbf45915c1f59044abd24c25f92b966efa0cee5824de6d4694012f98161438579891d70ee72faec SHA512 4e74585da0bfa65e83cc91786bf28ac5f61ddf1cbfb293064af802bd63c55e9bf9b78127e51ffc9348ea2ae77fc24503a6319e80438d9f72346c38636dcfb01a

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
new file mode 100644
index 000000000000..b75adf5980fb
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+COMMIT=efc458efa5730680a5ff3805f6cf9d88dc88748b
+inherit toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://github.com/conformal/spectrwm"
+SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${PN}-${COMMIT}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	elibc_musl? ( sys-libs/queue-standalone )
+	x11-libs/libxcb
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXft
+	x11-libs/xcb-util
+	x11-libs/xcb-util-keysyms
+	x11-libs/xcb-util-wm
+"
+RDEPEND="
+	${DEPEND}
+	x11-misc/dmenu
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/spectrwm-3.4.1_p20221224-fix-cflags-ldflags.patch
+)
+S=${WORKDIR}/${PN}-${COMMIT}
+
+src_prepare() {
+	sed -i -e '/LICENSE.md/d' linux/Makefile || die
+	default
+}
+
+src_compile() {
+	tc-export CC PKG_CONFIG
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_install() {
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		SYSCONFDIR="${EPREFIX}/etc" DOCDIR="${EPREFIX}/usr/share/doc/${P}" \
+		DESTDIR="${D}" install
+
+	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-04-24 17:28 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-04-24 17:28 UTC (permalink / raw
  To: gentoo-commits

commit:     a2d2b77c562e82b988ad974e35fe82fb33448bcf
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 24 17:27:02 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Apr 24 17:27:55 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2d2b77c

x11-wm/spectrwm: add missing dep

Closes: https://bugs.gentoo.org/904971

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
index b75adf5980fb..a82f49c2ccc7 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
@@ -19,6 +19,7 @@ DEPEND="
 	x11-libs/libX11
 	x11-libs/libXcursor
 	x11-libs/libXft
+	x11-libs/libXrandr
 	x11-libs/xcb-util
 	x11-libs/xcb-util-keysyms
 	x11-libs/xcb-util-wm


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-07-13 20:28 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-07-13 20:28 UTC (permalink / raw
  To: gentoo-commits

commit:     85c08ae708b92d1ce927f35ad20e86bd7e418d21
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 13 20:28:16 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jul 13 20:28:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85c08ae7

x11-wm/spectrwm: Stabilize 3.4.1_p20230310 x86, #910300

Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
index a82f49c2ccc7..5b5567ad9582 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${PN}
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
 
 DEPEND="
 	elibc_musl? ( sys-libs/queue-standalone )


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-07-14  0:42 Sam James
  0 siblings, 0 replies; 31+ messages in thread
From: Sam James @ 2023-07-14  0:42 UTC (permalink / raw
  To: gentoo-commits

commit:     d263ee36c1205e3d07a47b505468a121c7f78c33
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 14 00:42:17 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jul 14 00:42:17 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d263ee36

x11-wm/spectrwm: Stabilize 3.4.1_p20230310 amd64, #910300

Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
index 5b5567ad9582..d75cd3672297 100644
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.4.1_p20230310.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${PN}
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
 
 DEPEND="
 	elibc_musl? ( sys-libs/queue-standalone )


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-11-03 12:23 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-11-03 12:23 UTC (permalink / raw
  To: gentoo-commits

commit:     a2c46219818d4a19be671700eeb79e8f919f775e
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  3 12:18:36 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri Nov  3 12:23:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2c46219

x11-wm/spectrwm: drop 3.4.1_p20221224

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/Manifest                        |  1 -
 x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild | 51 -------------------------
 2 files changed, 52 deletions(-)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index 9e178a4ab282..3081fbbff547 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1,3 +1,2 @@
-DIST spectrwm-3.4.1_p20221224.tar.gz 166161 BLAKE2B 62dddfea9b80727d47bdfe61e4bf5ae5996e7bcdcaf76a37c29a3a448fcf4d19f6eeed75d7c13ca2c1e5c093c79503f00dfdde239d5022e700e27f75b7157e39 SHA512 424acf589ab137bdb8b7c010c757fde40a53b7bf70dc1c0ccf0df7e4a5ffce360cab02933f6eb7191e57ba594f4c8a6e732ac4bb8da0684d3889e9448e704edb
 DIST spectrwm-3.5.0.tar.gz 194387 BLAKE2B f3a421466742dfce68d82408aec5d6db00502687d1ec6ce8aeae9ea21ef06ac79e5b682760a4e9bac0d5604ff7232b959d3ff67076447d713c9f4bbbd34c39b3 SHA512 a4cc86710b9367d8c39b8d22cd315db32a3e69bdcb9092620779fa17d660a8433aef3624708d6f348891eae08e07defa03eaa022ff4cce7a5f9f43cfe388af8e
 DIST spectrwm-efc458efa5730680a5ff3805f6cf9d88dc88748b.tar.gz 172141 BLAKE2B 0ae0f85dd40d170d3f68c8ab6763f251f3a901172a1bb39b0dbf45915c1f59044abd24c25f92b966efa0cee5824de6d4694012f98161438579891d70ee72faec SHA512 4e74585da0bfa65e83cc91786bf28ac5f61ddf1cbfb293064af802bd63c55e9bf9b78127e51ffc9348ea2ae77fc24503a6319e80438d9f72346c38636dcfb01a

diff --git a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild b/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
deleted file mode 100644
index 65b77c4db159..000000000000
--- a/x11-wm/spectrwm/spectrwm-3.4.1_p20221224.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-COMMIT=67e16a136e505832bcd6322c02de28a8adc0af93
-inherit toolchain-funcs
-
-DESCRIPTION="Small dynamic tiling window manager for X11"
-HOMEPAGE="https://github.com/conformal/spectrwm"
-SRC_URI="https://github.com/conformal/spectrwm/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="
-	x11-misc/dmenu
-"
-DEPEND="
-	elibc_musl? ( sys-libs/queue-standalone )
-	virtual/pkgconfig
-	x11-libs/libX11
-	x11-libs/libXcursor
-	x11-libs/libXrandr
-	x11-libs/libXt
-	x11-libs/xcb-util
-	x11-libs/xcb-util-keysyms
-	x11-libs/xcb-util-wm
-"
-PATCHES=(
-	"${FILESDIR}"/${P}-fix-cflags-ldflags.patch
-)
-S=${WORKDIR}/${PN}-${COMMIT}
-
-src_prepare() {
-	sed -i -e '/LICENSE.md/d' linux/Makefile || die
-	default
-}
-
-src_compile() {
-	tc-export CC PKG_CONFIG
-	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)"
-}
-
-src_install() {
-	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
-		SYSCONFDIR="${EPREFIX}/etc" DOCDIR="${EPREFIX}/usr/share/doc/${P}" \
-		DESTDIR="${D}" install
-
-	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh
-}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2023-11-27 13:35 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2023-11-27 13:35 UTC (permalink / raw
  To: gentoo-commits

commit:     d58adb0d058c12697c4db8174264ee82175e7464
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 27 13:35:11 2023 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Mon Nov 27 13:35:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d58adb0d

x11-wm/spectrwm: add 3.5.1

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/Manifest              |  1 +
 x11-wm/spectrwm/spectrwm-3.5.1.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/x11-wm/spectrwm/Manifest b/x11-wm/spectrwm/Manifest
index 3081fbbff547..f5a58a895ac8 100644
--- a/x11-wm/spectrwm/Manifest
+++ b/x11-wm/spectrwm/Manifest
@@ -1,2 +1,3 @@
 DIST spectrwm-3.5.0.tar.gz 194387 BLAKE2B f3a421466742dfce68d82408aec5d6db00502687d1ec6ce8aeae9ea21ef06ac79e5b682760a4e9bac0d5604ff7232b959d3ff67076447d713c9f4bbbd34c39b3 SHA512 a4cc86710b9367d8c39b8d22cd315db32a3e69bdcb9092620779fa17d660a8433aef3624708d6f348891eae08e07defa03eaa022ff4cce7a5f9f43cfe388af8e
+DIST spectrwm-3.5.1.tar.gz 196431 BLAKE2B 4de0240353dd0b0066e68148b02aed68b037fda5b5d5fa2a979621ba6b3f029d3c341768929cd8cc7d7aebd1e44594bfb31617078cf83c0179c395a7212d50eb SHA512 9a5b9bee6debd395b6b5f706d12dbb80a848e4f5f02405a54cf9a47b2bcceb407bf14fce64a9cc4ff9205ed7e688adeefb0280289b73a0cf9927b44cfaec02fa
 DIST spectrwm-efc458efa5730680a5ff3805f6cf9d88dc88748b.tar.gz 172141 BLAKE2B 0ae0f85dd40d170d3f68c8ab6763f251f3a901172a1bb39b0dbf45915c1f59044abd24c25f92b966efa0cee5824de6d4694012f98161438579891d70ee72faec SHA512 4e74585da0bfa65e83cc91786bf28ac5f61ddf1cbfb293064af802bd63c55e9bf9b78127e51ffc9348ea2ae77fc24503a6319e80438d9f72346c38636dcfb01a

diff --git a/x11-wm/spectrwm/spectrwm-3.5.1.ebuild b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
new file mode 100644
index 000000000000..721549a39ae1
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://github.com/conformal/spectrwm"
+SRC_URI="https://github.com/conformal/spectrwm/archive/${PN^^}_${PV//./_}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${PN^^}_${PV//./_}"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+	elibc_musl? ( sys-libs/queue-standalone )
+	x11-libs/libxcb
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXft
+	x11-libs/libXrandr
+	x11-libs/xcb-util
+	x11-libs/xcb-util-keysyms
+	x11-libs/xcb-util-wm
+"
+RDEPEND="
+	${DEPEND}
+	x11-misc/dmenu
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/spectrwm-3.5.0-fix-cflags-ldflags.patch
+)
+
+src_prepare() {
+	sed -i -e '/LICENSE.md/d' linux/Makefile || die
+	default
+}
+
+src_compile() {
+	tc-export CC PKG_CONFIG
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+}
+
+src_install() {
+	emake -C linux PREFIX="${EPREFIX}/usr" LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		SYSCONFDIR="${EPREFIX}/etc" DOCDIR="${EPREFIX}/usr/share/doc/${P}" \
+		DESTDIR="${D}" install
+
+	dodoc README.md ${PN}_*.conf {initscreen,screenshot}.sh
+}


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2024-04-26 14:31 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2024-04-26 14:31 UTC (permalink / raw
  To: gentoo-commits

commit:     38715bb9df970e759cd16b5e96ff06a8db849ab9
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 26 14:25:42 2024 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Fri Apr 26 14:31:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38715bb9

x11-wm/spectrwm: stabilize 3.5.1 for amd64, x86

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.5.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/x11-wm/spectrwm/spectrwm-3.5.1.ebuild b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
index 721549a39ae1..8e29591ba462 100644
--- a/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -11,7 +11,7 @@ S="${WORKDIR}/${PN}-${PN^^}_${PV//./_}"
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
 
 DEPEND="
 	elibc_musl? ( sys-libs/queue-standalone )


^ permalink raw reply related	[flat|nested] 31+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
@ 2024-07-17 17:07 Ben Kohler
  0 siblings, 0 replies; 31+ messages in thread
From: Ben Kohler @ 2024-07-17 17:07 UTC (permalink / raw
  To: gentoo-commits

commit:     6d623d4c818eb3425c6f41db4d2a7d1b13582102
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 17 15:07:44 2024 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 17:07:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d623d4c

x11-wm/spectrwm: add missing libXt dep

Closes: https://bugs.gentoo.org/927002
Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 x11-wm/spectrwm/spectrwm-3.5.1.ebuild | 1 +
 x11-wm/spectrwm/spectrwm-3.6.0.ebuild | 1 +
 2 files changed, 2 insertions(+)

diff --git a/x11-wm/spectrwm/spectrwm-3.5.1.ebuild b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
index 8e29591ba462..9bc5bf3223c5 100644
--- a/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.5.1.ebuild
@@ -20,6 +20,7 @@ DEPEND="
 	x11-libs/libXcursor
 	x11-libs/libXft
 	x11-libs/libXrandr
+	x11-libs/libXt
 	x11-libs/xcb-util
 	x11-libs/xcb-util-keysyms
 	x11-libs/xcb-util-wm

diff --git a/x11-wm/spectrwm/spectrwm-3.6.0.ebuild b/x11-wm/spectrwm/spectrwm-3.6.0.ebuild
index 6a998e544327..40dd1a4780be 100644
--- a/x11-wm/spectrwm/spectrwm-3.6.0.ebuild
+++ b/x11-wm/spectrwm/spectrwm-3.6.0.ebuild
@@ -21,6 +21,7 @@ DEPEND="
 	x11-libs/libXcursor
 	x11-libs/libXft
 	x11-libs/libXrandr
+	x11-libs/libXt
 	x11-libs/xcb-util
 	x11-libs/xcb-util-keysyms
 	x11-libs/xcb-util-wm


^ permalink raw reply related	[flat|nested] 31+ messages in thread

end of thread, other threads:[~2024-07-17 17:07 UTC | newest]

Thread overview: 31+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-01-13 10:07 [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17 17:07 Ben Kohler
2024-04-26 14:31 Ben Kohler
2023-11-27 13:35 Ben Kohler
2023-11-03 12:23 Ben Kohler
2023-07-14  0:42 Sam James
2023-07-13 20:28 Sam James
2023-04-24 17:28 Ben Kohler
2023-04-24 15:32 Ben Kohler
2023-03-30 16:10 Arthur Zamarin
2023-03-30 15:58 Arthur Zamarin
2023-01-10 16:11 Ben Kohler
2023-01-05 16:35 Ben Kohler
2021-09-23 18:31 Ben Kohler
2021-03-29 15:58 Ben Kohler
2021-03-29 15:44 Ben Kohler
2021-03-29 14:39 Ben Kohler
2021-03-29 13:49 Ben Kohler
2020-10-07  6:42 Agostino Sarubbo
2020-06-25 18:13 Ben Kohler
2020-03-16 13:41 Ben Kohler
2020-01-22 21:09 Ben Kohler
2019-10-22 11:33 Jeroen Roovers
2018-02-16 21:44 Michael Weber
2018-02-06 18:36 Thomas Deutschmann
2016-05-25 10:11 Michael Weber
2016-05-05 13:40 Michael Weber
2016-05-05 13:14 Michael Weber
2016-05-05 13:14 Michael Weber
2015-09-05 18:48 Mikle Kolyada
2015-08-09 10:54 Agostino Sarubbo

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox